MAKEWHATIS(8)

NUME
makewhatis - Crează baza de date whatis

SUMAR
makewhatis [-u] [-v] [-w] [-s secţiuni ] [-c [cale_cat]] [cale_man]

DESCRIERE
makewhatis citeşte toate paginile de manual conţinute în secţiunile date în cale_man sau paginile preformatate conţinute în secţiunile din cale_cat. Pentru fiecare pagină, scrie o linie în baza de date whatis; fiecare linie constă în numele paginii şi o scurtă descriere, separate de o liniută. Descrierea este extrasă folosind conţinutul secţiunii NUME din pagina de manual.

Din moment ce alte limbi folosesc un termen diferit pentru secţiunea NUME, makewhatis recunoaşte termenii echivalenţi în cehă, italiană, finlandeză, franceză, germană şi spaniolă.

Dacă nici un argument cale_man nu este furnizat, /usr/man este considerat implicit.

OPŢIUNI

-u  Actualizează baza de date cu pagini noi.

-v  Operaţii explicite

-w  Foloseşte cale_man obţinută din `man --path`

-s secţiuni
    Caută în secţiuni ale cale_man sau cale_cat. Dacă opţiunea este absentă, valoarea sa este considerată a fi '1 2 3 4 5 6 7 8 9 n l'

-c cale_cat
    Paginile preformatate de manual aflate în cale_cat sunt scanate. Dacă argumentul nu este furnizat, este considerat a fi primul director existent între /usr/man/preformat şi /usr/man.

EXEMPLE

Pentru a recrea doar /usr/X11R6/man/whatis şi /usr/local/man/whatis

    makewhatis /usr/X11R6/man /usr/local/man

Pentru a recrea toate bazele de date, inclusiv cele cu traducerile finlandeze, franceze şi italiene

    LANGUAGE=fi:fr:it makewhatis -w

ERORI
makewhatis ar putea să nu manipuleze prea bine paginile de manual scrise cu macrouri troff nestandard, cum ar fi paginile Tcl/Tk.

makewhatis nu funcţioneaza pentru traducerile preformatate.

VEZI ŞI
apropos(1), man(1), whatis(1)